<?php
/*
Simple:Press
Plupload plugin install/upgrade routine
$LastChangedDate: 2014-06-14 17:25:17 -0700 (Sat, 14 Jun 2014) $
$Rev: 11557 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

function sp_plupload_do_upgrade_check() {
    if (!sp_is_plugin_active('plupload/sp-plupload-plugin.php')) return;

	$uploads = sp_get_option('spPlupload');

    $db = empty($uploads['dbversion']) ? 0 : $uploads['dbversion'];

    # quick bail check
    if ($db == SPPLUPDBVERSION ) return;

    # apply upgrades as needed

    # db version upgrades
    if ($db < 1) {
        # add a new permission into the auths table
    	sp_add_auth('download_attachments', __('Can download other file type attachments', 'sp-plup'), 1, 0, 0, 0, 2);
        $uploads['lang'] = 'en';
        $uploads['useforphotos'] = false;
    }

    if ($db < 2) {
        # download other file attachments should not ignore guests
        spdb_query('UPDATE '.SFAUTHS.' SET ignored = 0 WHERE auth_name = "download_attachments"');
    }

    if ($db < 3) {
	   spdb_query('UPDATE '.SFAUTHS." SET auth_cat=8 WHERE auth_name='upload_images'");
	   spdb_query('UPDATE '.SFAUTHS." SET auth_cat=8 WHERE auth_name='upload_media'");
	   spdb_query('UPDATE '.SFAUTHS." SET auth_cat=8 WHERE auth_name='upload_files'");
	   spdb_query('UPDATE '.SFAUTHS." SET auth_cat=8 WHERE auth_name='upload_signatures'");
	   spdb_query('UPDATE '.SFAUTHS." SET auth_cat=1 WHERE auth_name='download_attachments'");
    }

    if ($db < 4) {
    	sp_add_auth('manage_attachments', __('Can manage uploaded attachments in profile', 'sp-plup'), 1, 1, 0, 0, 8);

   	    sp_profile_add_tab('Attachments', 0, 1, 'manage_attachments');
        sp_profile_add_menu('Attachments', 'Image Uploads', SPPLUPFORMSDIR.'sp-plupload-images-form.php', 0, 1, 'upload_images');
        sp_profile_add_menu('Attachments', 'Media Uploads', SPPLUPFORMSDIR.'sp-plupload-media-form.php', 0, 1, 'upload_media');
        sp_profile_add_menu('Attachments', 'File Uploads', SPPLUPFORMSDIR.'sp-plupload-files-form.php', 0, 1, 'upload_files');
    }

    # save data
    $uploads['dbversion'] = SPPLUPDBVERSION;
    sp_update_option('spPlupload', $uploads);
}

?>